Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008274TestLinkMigration/Upgrade Testlinkpublic2018-06-01 22:562018-06-04 17:19
Reportertestlink_is_free 
Assigned Tofman 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.9.17 (2018 Q1) 
Fixed in Version 
Summary0008274: MySQL database upgrade script for 1.9.17 is wrong
DescriptionThe db_schema_update.sql script in the install/sql/alter_tables/1.9.17/mysql.DB.1.9.17/step1 folder has incorrect values when trying to INSERT INTO role_rights

The script creates 6 new rights (numbers 49-54) but then tries to INSERT INTO role_rights VALUES (8,28) (8,29) (8,30) which already exist causing the script to fail and stop execution. These need to be deleted.

Also the script then has almost all the correct values that were just created as new rights except for (8,49) which needs to be added.
Steps To ReproduceTry to upgrade a mysql testlink from 1.9.16 to 1.9.17
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
Browser
PHP Version
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships

-  Notes
(0027500)
fman (administrator)
2018-06-02 09:15

next time please attach here the right scripts.

regards
(0027501)
fman (administrator)
2018-06-02 09:29
edited on: 2018-06-02 09:33

I've just checked 1.9.16 and
INSERT INTO role_rights VALUES (8,28)
INSERT INTO role_rights VALUES (8,29)

does not exist on original installer of 1.9.16 for MySQL.
these sentences exist only for postgresql.

1. fresh install 1.9.16 code got from sourceforge
2.When trying update I've got error regarding ONLY

INSERT INTO /*prefix*/role_rights (role_id,right_id) VALUES (8,30);

(0027502)
fman (administrator)
2018-06-02 09:34

(8,49) 49 => exec_ro_access is not important for an administrator.
(0027519)
testlink_is_free (reporter)
2018-06-04 17:19

Sorry for the incorrect information, you are saying that only the line

INSERT INTO /*prefix*/role_rights (role_id,right_id) VALUES (8,30);

was incorrect? I assumed the script was just trying to update tables for the new values it created. I will remove the (8,49) entry in the role_rights table

- Issue History
Date Modified Username Field Change
2018-06-01 22:56 testlink_is_free New Issue
2018-06-02 09:15 fman Note Added: 0027500
2018-06-02 09:29 fman Note Added: 0027501
2018-06-02 09:33 fman Note Edited: 0027501 View Revisions
2018-06-02 09:33 fman Note View State: 0027501: public
2018-06-02 09:34 fman Note Added: 0027502
2018-06-02 09:34 fman QA Team - Task Workflow Status => TBD
2018-06-02 09:34 fman Status new => resolved
2018-06-02 09:34 fman Resolution open => fixed
2018-06-02 09:34 fman Assigned To => fman
2018-06-04 17:19 testlink_is_free Note Added: 0027519



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker